Class | FloatString
In: | lib/facets/more/floatstring.rb
Parent: | Object

# FloatString

FloatString is essentially a String but it allows unlimited string insertion between string segments.

NOTE This library is still expiremental.

### Methods

[] []= blank empty fill inner_append inner_insert new outer_append outer_insert re_enumerate renumerate to_s to_str undo

### Public Class methods

new( str )

### Public Instance methods

[](arg)

an inner and outer wrap method would be nice

[]=(arg,v)
blank(rng)
empty(rng)
fill(val, rng=0..-1)
inner_append(s, i)
inner_insert(s, i)

these should probably check the decimal and start there rather then startint at 0.5

outer_append(s, i)
outer_insert(s, i)
re_enumerate()
renumerate()

Alias for re_enumerate

to_s()
to_str()
undo()

[Validate]